Endpoints related to Consignment Documents.
List documents
List documents attached to a consignment
path Parameters
tenantIdTenant ID. Can be found in organisation settings
consignmentIdThe consignment ID
query Parameters
pageThe page number to return results for
sizeThe number of elements per page. Default value may vary between endpoints
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
List documents › Responses
Success
typeidstatusnamedescriptionAttachment list for this document, or null when none is present.
Create document
Create a document attached to a consignment
path Parameters
tenantIdTenant ID. Can be found in organisation settings
consignmentIdThe consignment ID
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
External-Meta-KeyThe External-Meta-Key header allows to specify the desired external meta key and only data associated with the specified key will be returned. If no key is specified or the key does not contain data, then externalMeta will not be returned.
Users with VIEW_ALL_EXTERNAL_META permission can specify * to return all available external meta. Data in externalMeta will be keyed by the external meta key.
Create document › Request Body
namedescriptionSend an object with attachments to request presigned upload URLs, or null if there are no files.
typeCreate document › Responses
Document created. Returns newly created document.
typeidstatusnamedescriptionAttachment list for this document, or null when none is present.
Get document
Get a document attached to a consignment
path Parameters
tenantIdTenant ID. Can be found in organisation settings
consignmentIdThe consignment ID
documentIdDocument ID
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
External-Meta-KeyThe External-Meta-Key header allows to specify the desired external meta key and only data associated with the specified key will be returned. If no key is specified or the key does not contain data, then externalMeta will not be returned.
Users with VIEW_ALL_EXTERNAL_META permission can specify * to return all available external meta. Data in externalMeta will be keyed by the external meta key.
Get document › Responses
Document found. Returns document.
typeidstatusnamedescriptionAttachment list for this document, or null when none is present.
Update document
Update a document attached to a consignment
path Parameters
tenantIdTenant ID. Can be found in organisation settings
consignmentIdThe consignment ID
documentIdDocument ID
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
If-MatchThe If-Match header is used for optimistic concurrency control. It should contain the ETag value of the resource being updated. If the ETag doesn't match the current resource state, the request will be rejected.
Update document › Request Body
namedescriptionSend an object with attachments to request presigned upload URLs, or null if there are no files.
typeUpdate document › Responses
Document updated
typeidstatusnamedescriptionAttachment list for this document, or null when none is present.
Delete document
Delete a document attached to a consignment
path Parameters
tenantIdTenant ID. Can be found in organisation settings
consignmentIdThe consignment ID
documentIdDocument ID
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
Delete document › Responses
Document deleted
Get consignment document history
Returns the audit history for a consignment document.
path Parameters
tenantIdTenant ID. Can be found in organisation settings
consignmentIddocumentIdDocument ID
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
Get consignment document history › Responses
Success
ideventTimeTime the event occurred.
Identifies a user by id and display name.
actionAction that caused the change.
entityTypeEntity type the event relates to.
entityIdSnapshot of entity data at the time of the event.
Additional context about the change.
Restore document
Restore a trashed document attached to a consignment. Sets document status to either 'ACTIVE' or 'UPDATED_PENDING' depending on the state of its associated attachments.
path Parameters
tenantIdTenant ID. Can be found in organisation settings
consignmentIdThe consignment ID
documentIdDocument ID
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
If-MatchThe If-Match header is used for optimistic concurrency control. It should contain the ETag value of the resource being updated. If the ETag doesn't match the current resource state, the request will be rejected.
Restore document › Responses
Document restored. Returns updated document.
typeidstatusnamedescriptionAttachment list for this document, or null when none is present.
Trash document
Trash a document attached to a consignment. Sets document status to 'INACTIVE'.
path Parameters
tenantIdTenant ID. Can be found in organisation settings
consignmentIdThe consignment ID
documentIdDocument ID
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
If-MatchThe If-Match header is used for optimistic concurrency control. It should contain the ETag value of the resource being updated. If the ETag doesn't match the current resource state, the request will be rejected.
Trash document › Responses
Document trashed. Returns updated document.
typeidstatusnamedescriptionAttachment list for this document, or null when none is present.